camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "East (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-11784) Could not disable the tlsv1 and tlsv1.1
Date Tue, 19 Sep 2017 02:58:00 GMT
East created CAMEL-11784:
----------------------------

             Summary: Could not disable the tlsv1 and tlsv1.1
                 Key: CAMEL-11784
                 URL: https://issues.apache.org/jira/browse/CAMEL-11784
             Project: Camel
          Issue Type: Bug
          Components: camel-jetty
            Reporter: East


Hi,

I tried to use below code to disable the weak TLS version, such as TLSv1.1 TLSv1 and SSLv3,
only left TLSv1.2, but it does not work


{code:java}

        JettyHttpComponent jettyComponent =
            getContext().getComponent("jetty", JettyHttpComponent.class);
        SslSelectChannelConnector sslConnector = new SslSelectChannelConnector();
        SslContextFactory sslFactory = sslConnector.getSslContextFactory();
         ..........

        SSLContextParameters sslContextParameters = new SSLContextParameters();
        SecureSocketProtocolsParameters secureSocketProtocols = new SecureSocketProtocolsParameters();
        secureSocketProtocols.getSecureSocketProtocol().add("TLSv1.2");
        sslContextParameters.setSecureSocketProtocols(secureSocketProtocols);

        jettyComponent.setSslContextParameters(sslContextParameters);
        jettyComponent.setSslSocketConnectors(connectors);
        from("jetty:https://0.0.0.0:343/eastweb/")
{code}

Could you help to have a support? thanks!



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message